Loading...
Searching...
No Matches
Pop3ClientDataProvider::Pop3ClientDataProviderBase Class Reference

The POP3 client data provider class, provides API classes as children. More...

`#include <Pop3ClientDataProviderBase.qc.dox.h>`

Inheritance diagram for Pop3ClientDataProvider::Pop3ClientDataProviderBase:
[legend]

## Public Member Functions

| constructor (*hash< auto > options, hash< string, hash< DataProviderOptionInfo > > con_opts=ConstructorOptions)
| Creates the object from constructor options.
| constructor (Pop3Client pop3)
| Creates the object from an POP3 connection.
Pop3Client | getPop3ClientConnection (hash< auto > options)
| Returns an POP3 connection from constructor options.

## Public Attributes

const | ConstructorOptions = ...
| Constructor arguments.

## Detailed Description

The POP3 client data provider class, provides API classes as children.